Index: /branches/version-2_5-dev/data/include/module.inc
===================================================================
--- /branches/version-2_5-dev/data/include/module.inc	(revision 18820)
+++ /branches/version-2_5-dev/data/include/module.inc	(revision 19730)
@@ -58,5 +58,5 @@
 
 $_objQuery = new SC_Query;
-$_arrModuleCode = $_objQuery->getCol('dtb_module', 'module_code');
+$_arrModuleCode = $_objQuery->getCol('module_code', 'dtb_module');
 
 if (is_array($_arrModuleCode)) {
Index: /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Product.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Product.php	(revision 19728)
+++ /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Product.php	(revision 19730)
@@ -388,8 +388,10 @@
 
         // カテゴリID を取得
-        $arrRet[0]['category_id'] = $objQuery->getCol("dtb_product_categories",
-                                                      "category_id",
-                                                      "product_id = ?",
-        array($product_id));
+        $arrRet[0]['category_id'] = $objQuery->getCol(
+            "category_id",
+            "dtb_product_categories",
+            "product_id = ?",
+            array($product_id)
+        );
         //編集時に規格IDが変わってしまうのを防ぐために規格が登録されていなければ規格IDを取得する
         if (!$objDb->sfHasProductClass($_POST['product_id'])) {
Index: /branches/version-2_5-dev/data/class/helper/SC_Helper_DB.php
===================================================================
--- /branches/version-2_5-dev/data/class/helper/SC_Helper_DB.php	(revision 19729)
+++ /branches/version-2_5-dev/data/class/helper/SC_Helper_DB.php	(revision 19730)
@@ -799,5 +799,5 @@
                 $objQuery =& SC_Query::getSingletonInstance();
                 $where = "product_id = ?";
-                $category_id = $objQuery->getCol("dtb_product_categories", "category_id", "product_id = ?", array($product_id));
+                $category_id = $objQuery->getCol("category_id", "dtb_product_categories", "product_id = ?", array($product_id));
                 $this->g_category_id = $category_id;
             } else {
@@ -1723,5 +1723,5 @@
                 $objQuery =& SC_Query::getSingletonInstance();
                 $where = "product_id = ?";
-                $maker_id = $objQuery->getCol("dtb_products", "maker_id", "product_id = ?", array($product_id));
+                $maker_id = $objQuery->getCol("maker_id", "dtb_products", "product_id = ?", array($product_id));
                 $this->g_maker_id = $maker_id;
             } else {
Index: /branches/version-2_5-dev/data/class/helper/SC_Helper_CSV.php
===================================================================
--- /branches/version-2_5-dev/data/class/helper/SC_Helper_CSV.php	(revision 19670)
+++ /branches/version-2_5-dev/data/class/helper/SC_Helper_CSV.php	(revision 19730)
@@ -170,8 +170,10 @@
             // カテゴリID
             if (in_array('category_id', $arrOutputCols)) {
-                $row['category_id'] = $objQuery->getCol("dtb_product_categories",
-                                  "category_id",
-                                  "product_id = ?",
-                                  array($row['product_id']));
+                $row['category_id'] = $objQuery->getCol(
+                    "category_id",
+                    "dtb_product_categories",
+                    "product_id = ?",
+                    array($row['product_id'])
+                );
             }
 
Index: /branches/version-2_5-dev/data/class/SC_Query.php
===================================================================
--- /branches/version-2_5-dev/data/class/SC_Query.php	(revision 19729)
+++ /branches/version-2_5-dev/data/class/SC_Query.php	(revision 19730)
@@ -609,5 +609,5 @@
      * @return array SQL の実行結果の配列
      */
-    function getCol($table, $col, $where = "", $arrval = array()) {
+    function getCol($col, $table, $where = "", $arrval = array()) {
         $sql = $this->getSql($col, $table, $where);
         $sql = $this->dbFactory->sfChangeMySQL($sql);
Index: /branches/version-2_5-dev/data/class/SC_Product.php
===================================================================
--- /branches/version-2_5-dev/data/class/SC_Product.php	(revision 19711)
+++ /branches/version-2_5-dev/data/class/SC_Product.php	(revision 19730)
@@ -586,5 +586,5 @@
         $objQuery =& SC_Query::getSingletonInstance();
         $objQuery->groupby = 'GROUP BY payment_id HAVING COUNT(payment_id) = ?';
-        $paymentIds = $objQuery->getCol('dtb_payment_options', 'payment_id',
+        $paymentIds = $objQuery->getCol('payment_id', 'dtb_payment_options',
                                         'product_class_id IN (' . implode(', ', array_pad(array(), $size, '?')) . ')',
                                         array_merge($productClassIds, array($size)),
Index: /branches/version-2_5-dev/test/class/SC_Query_Test.php
===================================================================
--- /branches/version-2_5-dev/test/class/SC_Query_Test.php	(revision 18820)
+++ /branches/version-2_5-dev/test/class/SC_Query_Test.php	(revision 19730)
@@ -154,5 +154,5 @@
 
         $this->expected = array(1, 2);
-        $this->actual = $this->objQuery->getCol("test_table", "column1",  "id < ?",  array(3));
+        $this->actual = $this->objQuery->getCol("column1", "test_table", "id < ?",  array(3));
 
         $this->verify();