Index: /branches/version-2_5-dev/data/class/helper/SC_Helper_DB.php
===================================================================
--- /branches/version-2_5-dev/data/class/helper/SC_Helper_DB.php	(revision 19730)
+++ /branches/version-2_5-dev/data/class/helper/SC_Helper_DB.php	(revision 19731)
@@ -1890,5 +1890,5 @@
         $objQuery =& SC_Query::getSingletonInstance();
 
-        $arrOrderOld = $objQuery->getRow('dtb_order', 'status, add_point, use_point, customer_id', 'order_id = ?', array($orderId));
+        $arrOrderOld = $objQuery->getRow('status, add_point, use_point, customer_id', 'dtb_order', 'order_id = ?', array($orderId));
 
         // 対応状況が変更無しの場合、DB値を引き継ぐ
Index: /branches/version-2_5-dev/data/class/helper/SC_Helper_Mobile.php
===================================================================
--- /branches/version-2_5-dev/data/class/helper/SC_Helper_Mobile.php	(revision 19729)
+++ /branches/version-2_5-dev/data/class/helper/SC_Helper_Mobile.php	(revision 19731)
@@ -392,6 +392,6 @@
 
         $arrRow = $objQuery->getRow(
-             'dtb_mobile_kara_mail'
-            ,'session_id, next_url, email'
+             'session_id, next_url, email'
+            ,'dtb_mobile_kara_mail'
             ,'token = ? AND email IS NOT NULL AND receive_date >= ?'
             ,array($token, date('Y-m-d H:i:s', time() - MOBILE_SESSION_LIFETIME))
Index: /branches/version-2_5-dev/data/class/helper/SC_Helper_Purchase.php
===================================================================
--- /branches/version-2_5-dev/data/class/helper/SC_Helper_Purchase.php	(revision 19670)
+++ /branches/version-2_5-dev/data/class/helper/SC_Helper_Purchase.php	(revision 19731)
@@ -86,5 +86,5 @@
     function getOrderTemp($uniqId) {
         $objQuery =& SC_Query::getSingletonInstance();
-        return $objQuery->getRow("dtb_order_temp", "*", "order_temp_id = ?",
+        return $objQuery->getRow("*", "dtb_order_temp", "order_temp_id = ?",
                                  array($uniqId));
     }
Index: /branches/version-2_5-dev/data/class/SC_Query.php
===================================================================
--- /branches/version-2_5-dev/data/class/SC_Query.php	(revision 19730)
+++ /branches/version-2_5-dev/data/class/SC_Query.php	(revision 19731)
@@ -582,5 +582,5 @@
      * @return array array('カラム名' => '値', ...)の連想配列
      */
-    function getRow($table, $col, $where = "", $arrVal = array(), $fetchmode = MDB2_FETCHMODE_ASSOC) {
+    function getRow($col, $table, $where = "", $arrVal = array(), $fetchmode = MDB2_FETCHMODE_ASSOC) {
 
         $sql = $this->getSql($col, $table, $where);
Index: /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ProductClass.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ProductClass.php	(revision 19711)
+++ /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ProductClass.php	(revision 19731)
@@ -248,7 +248,10 @@
                 // 更新の場合は規格組み合わせを検索し, 削除しておく
                 $class_combination_id = $exists[$arrList["product_class_id:".$i]]['class_combination_id'];
-                $existsCombi = $objQuery->getRow("dtb_class_combination",
-                                                 "*", "class_combination_id = ?",
-                                                 array($class_combination_id));
+                $existsCombi = $objQuery->getRow(
+                    "*",
+                    "dtb_class_combination",
+                    "class_combination_id = ?",
+                    array($class_combination_id)
+                );
 
                 $objQuery->delete("dtb_class_combination",
@@ -614,5 +617,5 @@
     function getProductsClass($product_id) {
         $objQuery =& SC_Query::getSingletonInstance();
-        return $objQuery->getRow("dtb_products_class", "*", "product_id = ?", array($product_id));
+        return $objQuery->getRow("*", "dtb_products_class", "product_id = ?", array($product_id));
     }
 
Index: /branches/version-2_5-dev/test/class/SC_Query_Test.php
===================================================================
--- /branches/version-2_5-dev/test/class/SC_Query_Test.php	(revision 19730)
+++ /branches/version-2_5-dev/test/class/SC_Query_Test.php	(revision 19731)
@@ -140,5 +140,5 @@
 
         $this->expected = array("column1" => 1, "column2" => 1);
-        $this->actual = $this->objQuery->getRow("test_table", "column1, column2", "id = ?", array(1));
+        $this->actual = $this->objQuery->getRow("column1, column2", "test_table", "id = ?", array(1));
         $this->verify();
     }