Index: /branches/version-2_5-dev/data/class/SC_Plugin.php
===================================================================
--- /branches/version-2_5-dev/data/class/SC_Plugin.php	(revision 19670)
+++ /branches/version-2_5-dev/data/class/SC_Plugin.php	(revision 19767)
@@ -16,6 +16,6 @@
 
     function __construct(){
-        if(!defined(PLUGIN_PATH)){
-            define("PLUGIN_PATH",HTML_PATH."/user_data/plugins/");
+        if (!defined(PLUGIN_PATH)) {
+            define('PLUGIN_PATH', USER_PATH . 'plugins/');
         }
         $this->init();
@@ -57,5 +57,5 @@
     function disablePlugin(){
         $objQuery = new SC_Query();
-        $name = preg_replace("/.php/", "", __FILE__);
+        $name = preg_replace("/.php/", "", __FILE__); // XXX 正規表現エスケープ漏れでは?
         $objQuery->update("dtb_plugin", array('enable'=>'0'), "plugin_name = ?", array($name));
     }
@@ -63,5 +63,5 @@
     function enablePlugin(){
         $objQuery = new SC_Query();
-        $name = preg_replace("/.php/", "", __FILE__);
+        $name = preg_replace("/.php/", "", __FILE__); // XXX 正規表現エスケープ漏れでは?
         $objQuery->update("dtb_plugin", array('enable'=>'0'), "plugin_name = ?", array($name));
     }
Index: /branches/version-2_5-dev/data/class/pages/products/LC_Page_Products_Detail.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/products/LC_Page_Products_Detail.php	(revision 19713)
+++ /branches/version-2_5-dev/data/class/pages/products/LC_Page_Products_Detail.php	(revision 19767)
@@ -198,5 +198,5 @@
 
                         $this->objDisplay->redirect($this->getLocation(
-                            URL_DIR . 'user_data/gmopg_oneclick_confirm.php', array(), true));
+                            URL_DIR . USER_DIR . 'gmopg_oneclick_confirm.php', array(), true));
                         exit;
                     }
Index: /branches/version-2_5-dev/data/Smarty/templates/admin/design/header.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/admin/design/header.tpl	(revision 19722)
+++ /branches/version-2_5-dev/data/Smarty/templates/admin/design/header.tpl	(revision 19767)
@@ -34,5 +34,5 @@
   <dic id="design-header-preview">
     <!--{if $browser_type == 1 }-->
-      <div style="zoom:0.8"><!--{include file="`$smarty.const.HTML_PATH`user_data/include/preview/header.tpl"}--></div>
+      <div style="zoom:0.8"><!--{include file="`$smarty.const.USER_PATH`include/preview/header.tpl"}--></div>
     <!--{ else }-->
       <span class="attention"><strong>プレビューはIEでのみ表示されます。</strong></span>
@@ -65,5 +65,5 @@
   <div id="design-footer-preview">
     <!--{if $browser_type == 1 }-->
-      <div style="zoom:0.8"><!--{include file="`$smarty.const.HTML_PATH`/user_data/include/preview/footer.tpl"}--></div>
+      <div style="zoom:0.8"><!--{include file="`$smarty.const.USER_PATH`/include/preview/footer.tpl"}--></div>
     <!--{ else }-->
       <span class="attention"><strong>プレビューはIEでのみ表示されます。</strong></span>
Index: /branches/version-2_5-dev/html/install/index.php
===================================================================
--- /branches/version-2_5-dev/html/install/index.php	(revision 19760)
+++ /branches/version-2_5-dev/html/install/index.php	(revision 19767)
@@ -383,5 +383,5 @@
     $arrWriteFile = array(
         DATA_PATH . "install.php",
-        HTML_PATH . "user_data",
+        USER_PATH,
         HTML_PATH . "upload",
         DATA_PATH . "cache/",
@@ -505,5 +505,5 @@
     $objPage->tpl_mode = 'step0_1';
     // ファイルコピー
-    $objPage->copy_mess = SC_Utils_Ex::sfCopyDir("./user_data/", HTML_PATH . "user_data/", $objPage->copy_mess);
+    $objPage->copy_mess = SC_Utils_Ex::sfCopyDir("./user_data/", USER_PATH, $objPage->copy_mess);
     $objPage->copy_mess = SC_Utils_Ex::sfCopyDir("./save_image/", HTML_PATH . "upload/save_image/", $objPage->copy_mess);
     return $objPage;