Index: /branches/version-2_5-dev/data/class/pages/LC_Page.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/LC_Page.php	(revision 19713)
+++ /branches/version-2_5-dev/data/class/pages/LC_Page.php	(revision 19783)
@@ -44,5 +44,5 @@
 
     /** テンプレートのカラム数 */
-    var $tpl_column_num = 2;
+    var $tpl_column_num;
 
     /** メインナンバー */
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Favorite.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Favorite.php	(revision 19713)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Favorite.php	(revision 19783)
@@ -53,5 +53,4 @@
         $this->tpl_subtitle = 'お気に入り一覧';
         $this->tpl_navi = TEMPLATE_DIR . 'mypage/navi.tpl';
-        $this->tpl_column_num = 1;
         $this->tpl_mainno = 'mypage';
         $this->tpl_mypageno = 'favorite';
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage.php	(revision 19713)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage.php	(revision 19783)
@@ -53,5 +53,4 @@
         $this->tpl_subtitle = '購入履歴一覧';
         $this->tpl_navi = TEMPLATE_DIR . 'mypage/navi.tpl';
-        $this->tpl_column_num = 1;
         $this->tpl_mainno = 'mypage';
         $this->tpl_mypageno = 'index';
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_History.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_History.php	(revision 19773)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_History.php	(revision 19783)
@@ -48,5 +48,4 @@
         $this->tpl_subtitle = '購入履歴詳細';
         $this->tpl_navi = TEMPLATE_DIR . 'mypage/navi.tpl';
-        $this->tpl_column_num = 1;
         $this->tpl_mainno = 'mypage';
         $this->tpl_mypageno = 'index';
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Delivery.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Delivery.php	(revision 19773)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Delivery.php	(revision 19783)
@@ -52,5 +52,4 @@
         $masterData = new SC_DB_MasterData_Ex();
         $this->arrPref= $masterData->getMasterData('mtb_pref');
-        $this->tpl_column_num = 1;
         $this->httpCacheControl('nocache');
     }
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Change.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Change.php	(revision 19773)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Change.php	(revision 19783)
@@ -55,5 +55,4 @@
         $this->tpl_mainno = 'mypage';
         $this->tpl_mypageno = 'change';
-        $this->tpl_column_num = 1;
 
         $masterData = new SC_DB_MasterData_Ex();
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Login.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Login.php	(revision 19670)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Login.php	(revision 19783)
@@ -46,5 +46,4 @@
         $this->tpl_mainpage = TEMPLATE_DIR . 'mypage/login.tpl';
         $this->tpl_title = 'MYページ(ログイン)';
-        $this->tpl_column_num = 1;
         $this->httpCacheControl('nocache');
     }
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_ChangeComplete.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_ChangeComplete.php	(revision 19758)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_ChangeComplete.php	(revision 19783)
@@ -49,5 +49,4 @@
         $this->tpl_navi = TEMPLATE_DIR . 'mypage/navi.tpl';
         $this->tpl_mypageno = 'change';
-        $this->tpl_column_num = 1;
     }
 
Index: /branches/version-2_5-dev/data/class/pages/cart/LC_Page_Cart.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/cart/LC_Page_Cart.php	(revision 19711)
+++ /branches/version-2_5-dev/data/class/pages/cart/LC_Page_Cart.php	(revision 19783)
@@ -59,5 +59,4 @@
         parent::init();
         $this->tpl_mainpage = 'cart/index.tpl';
-        $this->tpl_column_num = 1;
         $this->tpl_title = "現在のカゴの中";
     }
Index: /branches/version-2_5-dev/data/class/pages/error/LC_Page_Error.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/error/LC_Page_Error.php	(revision 19747)
+++ /branches/version-2_5-dev/data/class/pages/error/LC_Page_Error.php	(revision 19783)
@@ -61,5 +61,4 @@
     function init() {
         $this->tpl_mainpage = 'error.tpl';
-        $this->tpl_column_num = 1;
         $this->tpl_title = 'エラー';
     }