Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Login.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Login.php	(revision 19783)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Login.php	(revision 19788)
@@ -44,5 +44,4 @@
     function init() {
         parent::init();
-        $this->tpl_mainpage = TEMPLATE_DIR . 'mypage/login.tpl';
         $this->tpl_title = 'MYページ(ログイン)';
         $this->httpCacheControl('nocache');
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_RefusalComplete.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_RefusalComplete.php	(revision 19782)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_RefusalComplete.php	(revision 19788)
@@ -44,5 +44,4 @@
     function init() {
         parent::init();
-        $this->tpl_mainpage = TEMPLATE_DIR . 'mypage/refusal_complete.tpl';
         $this->tpl_title = 'MYページ';
         $this->tpl_subtitle = '退会手続き(完了ページ)';
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_MailView.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_MailView.php	(revision 19670)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_MailView.php	(revision 19788)
@@ -44,5 +44,4 @@
     function init() {
         parent::init();
-        $this->tpl_mainpage = 'mypage/mail_view.tpl';
         $this->httpCacheControl('nocache');
     }
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_ChangeComplete.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_ChangeComplete.php	(revision 19783)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_ChangeComplete.php	(revision 19788)
@@ -44,5 +44,4 @@
     function init() {
         parent::init();
-        $this->tpl_mainpage = TEMPLATE_DIR . 'mypage/change_complete.tpl';
         $this->tpl_title = 'MYページ';
         $this->tpl_subtitle = '会員登録内容変更(完了ページ)';
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_DeliveryAddr.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_DeliveryAddr.php	(revision 19773)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_DeliveryAddr.php	(revision 19788)
@@ -44,5 +44,4 @@
     function init() {
         parent::init();
-        $this->tpl_mainpage = TEMPLATE_DIR . 'mypage/delivery_addr.tpl';
         $this->tpl_title = "お届け先の追加･変更";
         $masterData = new SC_DB_MasterData_Ex();
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Favorite.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Favorite.php	(revision 19783)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Favorite.php	(revision 19788)
@@ -49,5 +49,4 @@
     function init() {
         parent::init();
-        $this->tpl_mainpage = TEMPLATE_DIR .'mypage/favorite.tpl';
         $this->tpl_title = 'MYページ';
         $this->tpl_subtitle = 'お気に入り一覧';
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage.php	(revision 19783)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage.php	(revision 19788)
@@ -49,5 +49,4 @@
     function init() {
         parent::init();
-        $this->tpl_mainpage = TEMPLATE_DIR .'mypage/index.tpl';
         $this->tpl_title = 'MYページ';
         $this->tpl_subtitle = '購入履歴一覧';
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_History.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_History.php	(revision 19783)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_History.php	(revision 19788)
@@ -44,5 +44,4 @@
     function init() {
         parent::init();
-        $this->tpl_mainpage = TEMPLATE_DIR . 'mypage/history.tpl';
         $this->tpl_title = 'MYページ';
         $this->tpl_subtitle = '購入履歴詳細';
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Refusal.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Refusal.php	(revision 19782)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Refusal.php	(revision 19788)
@@ -44,5 +44,4 @@
     function init() {
         parent::init();
-        $this->tpl_mainpage = TEMPLATE_DIR . 'mypage/refusal.tpl';
         $this->tpl_title = 'MYページ';
         $this->tpl_subtitle = '退会手続き(入力ページ)';
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Delivery.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Delivery.php	(revision 19783)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Delivery.php	(revision 19788)
@@ -44,5 +44,4 @@
     function init() {
         parent::init();
-        $this->tpl_mainpage = TEMPLATE_DIR .'mypage/delivery.tpl';
         $this->tpl_title = 'MYページ';
         $this->tpl_subtitle = 'お届け先追加･変更';
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Change.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Change.php	(revision 19783)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Change.php	(revision 19788)
@@ -49,5 +49,4 @@
     function init() {
         parent::init();
-        $this->tpl_mainpage = TEMPLATE_DIR . 'mypage/change.tpl';
         $this->tpl_title = 'MYページ';
         $this->tpl_subtitle = '会員登録内容変更(入力ページ)';
Index: /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Complete.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Complete.php	(revision 19782)
+++ /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Complete.php	(revision 19788)
@@ -44,5 +44,4 @@
     function init() {
         parent::init();
-        $this->tpl_mainpage = 'shopping/complete.tpl';
         $this->tpl_title = "ご注文完了";
 
Index: /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Confirm.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Confirm.php	(revision 19782)
+++ /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Confirm.php	(revision 19788)
@@ -44,6 +44,4 @@
     function init() {
         parent::init();
-        $this->tpl_mainpage = 'shopping/confirm.tpl';
-        $this->tpl_css = URL_DIR.'css/layout/shopping/confirm.css';
         $this->tpl_title = "ご入力内容のご確認";
         $masterData = new SC_DB_MasterData();
Index: /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Payment.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Payment.php	(revision 19782)
+++ /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Payment.php	(revision 19788)
@@ -52,5 +52,4 @@
     function init() {
         parent::init();
-        $this->tpl_mainpage = "shopping/payment.tpl";
         $this->tpl_onload = "fnCheckInputPoint(); fnSetDelivTime('payment','payment_id','deliv_time_id');";
         $this->tpl_title = "お支払方法・お届け時間等の指定";
Index: /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping.php	(revision 19782)
+++ /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping.php	(revision 19788)
@@ -52,5 +52,4 @@
     function init() {
         parent::init();
-        $this->tpl_mainpage = 'shopping/index.tpl';
         $this->tpl_title = 'ログイン';
         $masterData = new SC_DB_MasterData();
Index: /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Deliv.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Deliv.php	(revision 19782)
+++ /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Deliv.php	(revision 19788)
@@ -52,6 +52,4 @@
     function init() {
         parent::init();
-        $this->tpl_mainpage = 'shopping/deliv.tpl';
-        $this->tpl_css = URL_DIR.'css/layout/shopping/index.css';
         $masterData = new SC_DB_MasterData();
         $this->arrPref = $masterData->getMasterData('mtb_pref');
Index: /branches/version-2_5-dev/data/class/pages/admin/LC_Page_Admin_Home.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/LC_Page_Admin_Home.php	(revision 19729)
+++ /branches/version-2_5-dev/data/class/pages/admin/LC_Page_Admin_Home.php	(revision 19788)
@@ -1,2 +1,3 @@
+
 <?php
 /*
Index: /branches/version-2_5-dev/data/class/pages/cart/LC_Page_Cart.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/cart/LC_Page_Cart.php	(revision 19783)
+++ /branches/version-2_5-dev/data/class/pages/cart/LC_Page_Cart.php	(revision 19788)
@@ -58,5 +58,4 @@
     function init() {
         parent::init();
-        $this->tpl_mainpage = 'cart/index.tpl';
         $this->tpl_title = "現在のカゴの中";
     }
Index: /branches/version-2_5-dev/data/class/pages/contact/LC_Page_Contact_Complete.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/contact/LC_Page_Contact_Complete.php	(revision 19713)
+++ /branches/version-2_5-dev/data/class/pages/contact/LC_Page_Contact_Complete.php	(revision 19788)
@@ -44,5 +44,4 @@
     function init() {
         parent::init();
-        $this->tpl_mainpage = 'contact/complete.tpl';
         $this->tpl_title = 'お問い合わせ(完了ページ)';
         $this->tpl_mainno = 'contact';
Index: /branches/version-2_5-dev/data/class/pages/contact/LC_Page_Contact.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/contact/LC_Page_Contact.php	(revision 19787)
+++ /branches/version-2_5-dev/data/class/pages/contact/LC_Page_Contact.php	(revision 19788)
@@ -67,5 +67,4 @@
     function init() {
         parent::init();
-        $this->tpl_mainpage = 'contact/index.tpl';
         $this->tpl_title = 'お問い合わせ(入力ページ)';
         $this->tpl_page_category = 'contact';
Index: /branches/version-2_5-dev/data/class/pages/regist/LC_Page_Regist_Complete.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/regist/LC_Page_Regist_Complete.php	(revision 19713)
+++ /branches/version-2_5-dev/data/class/pages/regist/LC_Page_Regist_Complete.php	(revision 19788)
@@ -44,5 +44,4 @@
     function init() {
         parent::init();
-        $this->tpl_mainpage = 'regist/complete.tpl';
         $this->tpl_title = '会員登録(完了ページ)';
         $this->tpl_conv_page = AFF_ENTRY_COMPLETE;
Index: /branches/version-2_5-dev/data/class/pages/abouts/LC_Page_Abouts.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/abouts/LC_Page_Abouts.php	(revision 19773)
+++ /branches/version-2_5-dev/data/class/pages/abouts/LC_Page_Abouts.php	(revision 19788)
@@ -44,5 +44,4 @@
     function init() {
         parent::init();
-        $this->tpl_mainpage = 'abouts/index.tpl';
         $this->tpl_page_category = 'abouts';
         $this->tpl_title = '当サイトについて';
Index: /branches/version-2_5-dev/data/class/pages/forgot/LC_Page_Forgot.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/forgot/LC_Page_Forgot.php	(revision 19787)
+++ /branches/version-2_5-dev/data/class/pages/forgot/LC_Page_Forgot.php	(revision 19788)
@@ -55,5 +55,4 @@
     function init() {
         parent::init();
-        $this->tpl_mainpage = 'forgot/index.tpl';
         $this->tpl_mainno = '';
     }
Index: /branches/version-2_5-dev/data/class/pages/entry/LC_Page_Entry.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/entry/LC_Page_Entry.php	(revision 19773)
+++ /branches/version-2_5-dev/data/class/pages/entry/LC_Page_Entry.php	(revision 19788)
@@ -41,5 +41,4 @@
      *
      * 以下のプロパティの初期化を行う.
-     * - tpl_mainpage
      * - tpl_title
      * - year
@@ -57,5 +56,4 @@
     function init() {
         parent::init();
-        $this->tpl_mainpage = 'entry/index.tpl';
         $this->tpl_title .= '会員登録(入力ページ)';
         $this->year = "";
@@ -276,5 +274,4 @@
                     $this->passlen = SC_Utils_Ex::lfPassLen($passlen);
 
-                    $this->tpl_css = '/css/layout/entry/confirm.css';
                     $this->tpl_mainpage = 'entry/confirm.tpl';
                     $this->tpl_title = '会員登録(確認ページ)';
@@ -288,5 +285,4 @@
                     $this->uniqid = $this->lfRegistData ($this->arrForm, $arrRegistColumn, $arrRejectRegistColumn, CUSTOMER_CONFIRM_MAIL);
 
-                    $this->tpl_css = '/css/layout/entry/complete.css';
                     $this->tpl_mainpage = 'entry/complete.tpl';
                     $this->tpl_title = '会員登録(完了ページ)';
@@ -347,5 +343,4 @@
     function mobileInit() {
         $this->init();
-        $this->tpl_mainpage = 'entry/index.tpl';		// メインテンプレート
         $this->tpl_title .= '会員登録(1/3)';			// ページタイトル
     }
Index: /branches/version-2_5-dev/data/class/pages/entry/LC_Page_Entry_Kiyaku.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/entry/LC_Page_Entry_Kiyaku.php	(revision 19713)
+++ /branches/version-2_5-dev/data/class/pages/entry/LC_Page_Entry_Kiyaku.php	(revision 19788)
@@ -44,5 +44,4 @@
     function init() {
         parent::init();
-        $this->tpl_mainpage = 'entry/kiyaku.tpl';
         $this->tpl_title = "ご利用規約";
     }
Index: /branches/version-2_5-dev/data/class/pages/products/LC_Page_Products_Review.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/products/LC_Page_Products_Review.php	(revision 19729)
+++ /branches/version-2_5-dev/data/class/pages/products/LC_Page_Products_Review.php	(revision 19788)
@@ -55,5 +55,4 @@
     function init() {
         parent::init();
-        $this->tpl_mainpage = 'products/review.tpl';
 
         $masterData = new SC_DB_MasterData_Ex();
@@ -178,5 +177,5 @@
 
         $this->transactionid = SC_Helper_Session_Ex::getToken();
-        $this->setTemplate($this->tpl_mainpage);
+        $this->setTemplate('products/review.tpl');
     }
 
Index: /branches/version-2_5-dev/data/class/pages/products/LC_Page_Products_ReviewComplete.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/products/LC_Page_Products_ReviewComplete.php	(revision 19670)
+++ /branches/version-2_5-dev/data/class/pages/products/LC_Page_Products_ReviewComplete.php	(revision 19788)
@@ -44,5 +44,4 @@
     function init() {
         parent::init();
-        $this->tpl_mainpage = 'products/review_complete.tpl';
     }
 
@@ -65,5 +64,5 @@
      */
     function action() {
-        $this->setTemplate($this->tpl_mainpage);
+        $this->setTemplate('products/review_complete.tpl');
     }
 
Index: /branches/version-2_5-dev/data/class/pages/order/LC_Page_Order.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/order/LC_Page_Order.php	(revision 19787)
+++ /branches/version-2_5-dev/data/class/pages/order/LC_Page_Order.php	(revision 19788)
@@ -44,5 +44,4 @@
     function init() {
         parent::init();
-        $this->tpl_mainpage = 'order/index.tpl';
         $this->tpl_page_category = 'order';
         $this->tpl_title = '特定商取引に関する法律に基づく表記';