Index: branches/version-2_5-dev/data/Smarty/templates/sphone/mypage/change.tpl
===================================================================
--- branches/version-2_5-dev/data/Smarty/templates/sphone/mypage/change.tpl	(revision 19785)
+++ branches/version-2_5-dev/data/Smarty/templates/sphone/mypage/change.tpl	(revision 19807)
@@ -35,5 +35,5 @@
   <input type="hidden" name="customer_id" value="<!--{$arrForm.customer_id|h}-->" />
     <table summary="会員登録内容変更 " class="delivname">
-      <!--{include file="`$smarty.const.TEMPLATE_DIR`frontparts/form_personal_input.tpl" flgFields=3 emailMobile=true prefix=""}-->
+      <!--{include file="`$smarty.const.TEMPLATE_REALDIR`frontparts/form_personal_input.tpl" flgFields=3 emailMobile=true prefix=""}-->
     </table>
     <!--{if 'sfGMOMypageDisplay'|function_exists}-->
Index: branches/version-2_5-dev/data/Smarty/templates/sphone/mypage/index.tpl
===================================================================
--- branches/version-2_5-dev/data/Smarty/templates/sphone/mypage/index.tpl	(revision 19802)
+++ branches/version-2_5-dev/data/Smarty/templates/sphone/mypage/index.tpl	(revision 19807)
@@ -28,5 +28,5 @@
     <!--{include file=$tpl_navi}-->
   <!--{else}-->
-    <!--{include file=`$smarty.const.TEMPLATE_DIR`mypage/navi.tpl}-->
+    <!--{include file=`$smarty.const.TEMPLATE_REALDIR`mypage/navi.tpl}-->
   <!--{/if}-->
   <div id="mycontentsarea">
Index: branches/version-2_5-dev/data/Smarty/templates/sphone/mypage/error.tpl
===================================================================
--- branches/version-2_5-dev/data/Smarty/templates/sphone/mypage/error.tpl	(revision 19713)
+++ branches/version-2_5-dev/data/Smarty/templates/sphone/mypage/error.tpl	(revision 19807)
@@ -22,5 +22,5 @@
  */
 *}-->
-<!--{include file="`$smarty.const.TEMPLATE_DIR`popup_header.tpl" subtitle="エラー"}-->
+<!--{include file="`$smarty.const.TEMPLATE_REALDIR`popup_header.tpl" subtitle="エラー"}-->
 
 <div id="compbox">
@@ -32,3 +32,3 @@
 </div>
 
-<!--{include file="`$smarty.const.TEMPLATE_DIR`popup_footer.tpl"}-->
+<!--{include file="`$smarty.const.TEMPLATE_REALDIR`popup_footer.tpl"}-->
Index: branches/version-2_5-dev/data/Smarty/templates/sphone/mypage/mail_view.tpl
===================================================================
--- branches/version-2_5-dev/data/Smarty/templates/sphone/mypage/mail_view.tpl	(revision 19785)
+++ branches/version-2_5-dev/data/Smarty/templates/sphone/mypage/mail_view.tpl	(revision 19807)
@@ -1,3 +1,3 @@
-<!--{include file="`$smarty.const.TEMPLATE_DIR`popup_header.tpl" subtitle="MYページ/メール履歴詳細"}-->
+<!--{include file="`$smarty.const.TEMPLATE_REALDIR`popup_header.tpl" subtitle="MYページ/メール履歴詳細"}-->
 
 <table class="form">
@@ -12,3 +12,3 @@
 </table>
 
-<!--{include file="`$smarty.const.TEMPLATE_DIR`popup_footer.tpl"}-->
+<!--{include file="`$smarty.const.TEMPLATE_REALDIR`popup_footer.tpl"}-->
Index: branches/version-2_5-dev/data/Smarty/templates/sphone/mypage/delivery_addr.tpl
===================================================================
--- branches/version-2_5-dev/data/Smarty/templates/sphone/mypage/delivery_addr.tpl	(revision 19785)
+++ branches/version-2_5-dev/data/Smarty/templates/sphone/mypage/delivery_addr.tpl	(revision 19807)
@@ -22,5 +22,5 @@
  */
 *}-->
-<!--{include file="`$smarty.const.TEMPLATE_DIR`popup_header.tpl" subtitle="新しいお届け先の追加・変更"}-->
+<!--{include file="`$smarty.const.TEMPLATE_REALDIR`popup_header.tpl" subtitle="新しいお届け先の追加・変更"}-->
 
 <div id="windowarea">
@@ -35,5 +35,5 @@
 
         <table summary="お届け先登録">
-            <!--{include file="`$smarty.const.TEMPLATE_DIR`frontparts/form_personal_input.tpl" flgFields=1 emailMobile=false prefix=""}-->
+            <!--{include file="`$smarty.const.TEMPLATE_REALDIR`frontparts/form_personal_input.tpl" flgFields=1 emailMobile=false prefix=""}-->
         </table>
 
@@ -44,3 +44,3 @@
 </div>
 
-<!--{include file="`$smarty.const.TEMPLATE_DIR`popup_footer.tpl"}-->
+<!--{include file="`$smarty.const.TEMPLATE_REALDIR`popup_footer.tpl"}-->
Index: branches/version-2_5-dev/data/Smarty/templates/sphone/mypage/favorite.tpl
===================================================================
--- branches/version-2_5-dev/data/Smarty/templates/sphone/mypage/favorite.tpl	(revision 19802)
+++ branches/version-2_5-dev/data/Smarty/templates/sphone/mypage/favorite.tpl	(revision 19807)
@@ -27,5 +27,5 @@
     <!--{include file=$tpl_navi}-->
   <!--{else}-->
-    <!--{include file=`$smarty.const.TEMPLATE_DIR`mypage/navi.tpl}-->
+    <!--{include file=`$smarty.const.TEMPLATE_REALDIR`mypage/navi.tpl}-->
   <!--{/if}-->
 