Index: /branches/version-2_5-dev/data/class/pages/regist/LC_Page_Regist.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/regist/LC_Page_Regist.php	(revision 19805)
+++ /branches/version-2_5-dev/data/class/pages/regist/LC_Page_Regist.php	(revision 19812)
@@ -68,15 +68,8 @@
      */
     function action() {
-        //$objView = new SC_SiteView();
         $objSiteInfo = $objView->objSiteInfo;
         $objCustomer = new SC_Customer();
         $objDb = new SC_Helper_DB_Ex();
         $this->CONF = $objDb->sfGetBasisData();
-
-        // キャンペーンからの登録の場合の処理
-
-        if(!empty($_GET["cp"])) {
-            $etc_val['cp'] = $_GET['cp'];
-        }
 
         //--　本登録完了のためにメールから接続した場合
@@ -105,73 +98,4 @@
             SC_Utils_Ex::sfDispSiteError(FREE_ERROR_MSG, "", true, "無効なアクセスです。");
         }
-
-        //----　ページ表示
-        //$objView->assignobj($this);
-        //$objView->display(SITE_FRAME);
-    }
-
-
-    /**
-     * モバイルページを初期化する.
-     *
-     * @return void
-     */
-    function mobileInit() {
-    }
-
-    /**
-     * Page のプロセス(モバイル).
-     *
-     * @return void
-     */
-    function mobileProcess() {
-        parent::mobileProcess();
-        $this->mobileAction();
-        $this->sendResponse();
-    }
-
-    /**
-     * Page のAction(モバイル).
-     *
-     * @return void
-     */
-    function mobileAction() {
-        //$objView = new SC_MobileView();
-        $objSiteInfo = $objView->objSiteInfo;
-        $objCustomer = new SC_Customer();
-        $objDb = new SC_Helper_DB_Ex();
-        $this->CONF = $objDb->sfGetBasisData();
-
-        //--　本登録完了のためにメールから接続した場合
-        if ($_GET["mode"] == "regist") {
-
-            //-- 入力チェック
-            $this->arrErr = $this->lfErrorCheck($_GET);
-            if ($this->arrErr) {
-                $this->tpl_mainpage = 'regist/error.tpl';
-                $this->tpl_title = 'エラー';
-
-            } else {
-                $registSecretKey = $this->lfRegistData($_GET);			//本会員登録（フラグ変更）
-                $this->lfSendRegistMail($registSecretKey);				//本会員登録完了メール送信
-
-                // ログイン済みの状態にする。
-                $objQuery = new SC_Query();
-                $email = $objQuery->get("email", "dtb_customer", "secret_key = ?", array($registSecretKey));
-                $objCustomer->setLogin($email);
-                $this->objDisplay->redirect($this->getLocation("./complete.php"));
-                exit;
-            }
-
-            //--　それ以外のアクセスは無効とする
-        } else {
-            $this->arrErr["id"] = "無効なアクセスです。";
-            $this->tpl_mainpage = 'regist/error.tpl';
-            $this->tpl_title = 'エラー';
-        }
-
-        //----　ページ表示
-        //$objView->assignobj($this);
-        //$objView->display(SITE_FRAME);
     }
 
@@ -206,21 +130,4 @@
 
         $objQuery->update("dtb_customer", $arrRegist, $where, array($array["id"]));
-
-        /* 購入時の自動会員登録は行わないためDEL
-        // 購入時登録の場合、その回の購入を会員購入とみなす。
-        // 会員情報の読み込み
-        $where1 = "secret_key = ? AND status = 2";
-        $customer = $objQuery->select("*", "dtb_customer", $where1, array($secret));
-        // 初回購入情報の読み込み
-        $order_temp_id = $objQuery->get("order_temp_id", "dtb_order_temp");
-        // 購入情報の更新
-        if ($order_temp_id != null) {
-            $arrCustomer['customer_id'] = $customer[0]['customer_id'];
-            $where3 = "order_temp_id = ?";
-            $objQuery->update("dtb_order_temp", $arrCustomer, $where3, array($order_temp_id));
-            $objQuery->update("dtb_order", $arrCustomer, $where3, array($order_temp_id));
-        }
-        */
-
         $sql = "SELECT mailmaga_flg FROM dtb_customer WHERE email = ?";
         $result = $objQuery->getOne($sql, array($email));
Index: /branches/version-2_5-dev/data/class/pages/regist/LC_Page_Regist_Complete.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/regist/LC_Page_Regist_Complete.php	(revision 19805)
+++ /branches/version-2_5-dev/data/class/pages/regist/LC_Page_Regist_Complete.php	(revision 19812)
@@ -66,44 +66,5 @@
     function action() {
         global $objCampaignSess;
-
         $objQuery = new SC_Query();
-        $objCampaignSess = new SC_CampaignSession();
-    }
-
-    /**
-     * モバイルページを初期化する.
-     *
-     * @return void
-     */
-    function mobileInit() {
-        $this->init();
-    }
-
-    /**
-     * Page のプロセス(モバイル).
-     *
-     * @return void
-     */
-    function mobileProcess() {
-        parent::mobileProcess();
-        $this->mobileAction();
-        $this->sendResponse();
-    }
-
-    /**
-     * Page のAction(モバイル).
-     *
-     * @return void
-     */
-    function mobileAction() {
-
-        //$objView = new SC_MobileView();
-
-        // カートが空かどうかを確認する。
-        $objCartSess = new SC_CartSession();
-        $this->tpl_cart_empty = count($objCartSess->getCartList()) < 1;
-
-        //$objView->assignobj($this);
-        //$objView->display(SITE_FRAME);
     }
 
Index: anches/version-2_5-dev/html/mobile/regist/index.php
===================================================================
--- /branches/version-2_5-dev/html/mobile/regist/index.php	(revision 19805)
+++ 	(revision )
@@ -1,39 +1,0 @@
-<?php
-/**
- *
- * This file is part of EC-CUBE
- *
- * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
- *
- * http://www.lockon.co.jp/
- *
- * This program is free software; you can redistribute it and/or
- * modify it under the terms of the GNU General Public License
- * as published by the Free Software Foundation; either version 2
- * of the License, or (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
- 
- *
- * モバイルサイト/会員登録
- */
-
-// {{{ requires
-require_once("../require.php");
-require_once(CLASS_EX_REALDIR . "page_extends/regist/LC_Page_Regist_Ex.php");
-
-// }}}
-// {{{ generate page
-
-$objPage = new LC_Page_Regist_Ex();
-register_shutdown_function(array($objPage, "destroy"));
-$objPage->mobileInit();
-$objPage->mobileProcess();
-?>
Index: anches/version-2_5-dev/html/mobile/regist/complete.php
===================================================================
--- /branches/version-2_5-dev/html/mobile/regist/complete.php	(revision 19805)
+++ 	(revision )
@@ -1,39 +1,0 @@
-<?php
-/**
- *
- * This file is part of EC-CUBE
- *
- * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
- *
- * http://www.lockon.co.jp/
- *
- * This program is free software; you can redistribute it and/or
- * modify it under the terms of the GNU General Public License
- * as published by the Free Software Foundation; either version 2
- * of the License, or (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
- 
- *
- * モバイルサイト/会員登録完了
- */
-
-// {{{ requires
-require_once("../require.php");
-require_once(CLASS_EX_REALDIR . "page_extends/regist/LC_Page_Regist_Complete_Ex.php");
-
-// }}}
-// {{{ generate page
-
-$objPage = new LC_Page_Regist_Complete_Ex();
-register_shutdown_function(array($objPage, "destroy"));
-$objPage->mobileInit();
-$objPage->mobileProcess();
-?>
Index: /branches/version-2_5-dev/html/require.php
===================================================================
--- /branches/version-2_5-dev/html/require.php	(revision 19809)
+++ /branches/version-2_5-dev/html/require.php	(revision 19812)
@@ -27,8 +27,8 @@
 require_once HTML_REALDIR . 'define.php';
 require_once HTML_REALDIR . 'handle_error.php';
-define('FRONT_FUNCTION_PC_SITE', true);
 require_once HTML_REALDIR . HTML2DATA_DIR . 'require_base.php';
 
 if ( Net_UserAgent_Mobile::isMobile() === true ){
+	define('MOBILE_SITE', true);
     $objMobile = new SC_Helper_Mobile_Ex();
     $objMobile->sfMobileInit();
@@ -36,5 +36,5 @@
     
 } else {
-	
+	define('FRONT_FUNCTION_PC_SITE', true);	
 	// スマートフォンの場合、リダイレクト
 	SC_SmartphoneUserAgent::sfAutoRedirectSmartphoneSite();